public class SubmitSnapshotJobRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
Long |
count
The maximum number of snapshots.
|
String |
height
The height of each snapshot.
|
Long |
interval
The snapshot interval.
|
String |
snapshotTemplateId
The ID of the snapshot template.
|
Long |
specifiedOffsetTime
The start time of the specified snapshot time period.
|
List<Long> |
specifiedOffsetTimes |
String |
spriteSnapshotConfig
The sprite snapshot configuration.
|
String |
userData
The custom configurations, including the configuration of transparent data transmission and callback configurations.
|
String |
videoId
The ID of the video.
|
String |
width
The width of each snapshot.
|
| 构造器和说明 |
|---|
SubmitSnapshotJobRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static SubmitSnapshotJobRequest |
build(Map<String,?> map) |
Long |
getCount() |
String |
getHeight() |
Long |
getInterval() |
String |
getSnapshotTemplateId() |
Long |
getSpecifiedOffsetTime() |
List<Long> |
getSpecifiedOffsetTimes() |
String |
getSpriteSnapshotConfig() |
String |
getUserData() |
String |
getVideoId() |
String |
getWidth() |
SubmitSnapshotJobRequest |
setCount(Long count) |
SubmitSnapshotJobRequest |
setHeight(String height) |
SubmitSnapshotJobRequest |
setInterval(Long interval) |
SubmitSnapshotJobRequest |
setSnapshotTemplateId(String snapshotTemplateId) |
SubmitSnapshotJobRequest |
setSpecifiedOffsetTime(Long specifiedOffsetTime) |
SubmitSnapshotJobRequest |
setSpecifiedOffsetTimes(List<Long> specifiedOffsetTimes) |
SubmitSnapshotJobRequest |
setSpriteSnapshotConfig(String spriteSnapshotConfig) |
SubmitSnapshotJobRequest |
setUserData(String userData) |
SubmitSnapshotJobRequest |
setVideoId(String videoId) |
SubmitSnapshotJobRequest |
setWidth(String width) |
@NameInMap(value="Count") public Long count
The maximum number of snapshots. Default value: **1**.
@NameInMap(value="Height") public String height
The height of each snapshot. Valid values: `[8,4096]`. By default, the height of the video mezzanine file is used. Unit: pixel.
@NameInMap(value="Interval") public Long interval
The snapshot interval. The value must be **greater than or equal to 0**. Unit: seconds. If you set this parameter to **0**, snapshots are taken at even intervals based on the video duration divided by the value of the Count parameter. Default value: **1**.
@NameInMap(value="SnapshotTemplateId") public String snapshotTemplateId
The ID of the snapshot template.
* We recommend that you create a snapshot template before you specify the ID of the snapshot template.
* If you set the SnapshotTemplateId parameter, all the other request parameters except the Action and VideoId parameters are ignored.
* For more information about how to create a snapshot template, see [AddVodTemplate](~~99406~~).
@NameInMap(value="SpecifiedOffsetTime") public Long specifiedOffsetTime
The start time of the specified snapshot time period.
* Unit: milliseconds.
* Default value: **0**.
@NameInMap(value="SpecifiedOffsetTimes") public List<Long> specifiedOffsetTimes
@NameInMap(value="SpriteSnapshotConfig") public String spriteSnapshotConfig
The sprite snapshot configuration. If you set this parameter, sprite snapshots are generated. For more information, see [SpriteSnapshotConfig](~~86952~~).
@NameInMap(value="UserData") public String userData
The custom configurations, including the configuration of transparent data transmission and callback configurations. The value is a JSON-formatted string. For more information, see [UserData](~~86952~~).
**
**Note** The callback configurations take effect only when you specify the HTTP callback URL and select the specific callback events in the ApsaraVideo VOD console.
@NameInMap(value="VideoId") public String videoId
The ID of the video.
@NameInMap(value="Width") public String width
The width of each snapshot. Valid values: `[8,4096]`. By default, the width of the video mezzanine file is used. Unit: pixel.
public static SubmitSnapshotJobRequest build(Map<String,?> map) throws Exception
Exceptionpublic SubmitSnapshotJobRequest setCount(Long count)
public Long getCount()
public SubmitSnapshotJobRequest setHeight(String height)
public String getHeight()
public SubmitSnapshotJobRequest setInterval(Long interval)
public Long getInterval()
public SubmitSnapshotJobRequest setSnapshotTemplateId(String snapshotTemplateId)
public String getSnapshotTemplateId()
public SubmitSnapshotJobRequest setSpecifiedOffsetTime(Long specifiedOffsetTime)
public Long getSpecifiedOffsetTime()
public SubmitSnapshotJobRequest setSpecifiedOffsetTimes(List<Long> specifiedOffsetTimes)
public SubmitSnapshotJobRequest setSpriteSnapshotConfig(String spriteSnapshotConfig)
public String getSpriteSnapshotConfig()
public SubmitSnapshotJobRequest setUserData(String userData)
public String getUserData()
public SubmitSnapshotJobRequest setVideoId(String videoId)
public String getVideoId()
public SubmitSnapshotJobRequest setWidth(String width)
public String getWidth()
Copyright © 2024. All rights reserved.